// main: ./main.less, out: ../style.css, compress: false

/* ====================================================================================================================================
FONT FACE
======================================================================================================================================*/

//    @font-face {
//      font-family: 'my-font-normal';
//     src: url('../fonts/Uni Sans Book.eot'); /* IE9 Compat Modes */
//     src: url('../fonts/Uni Sans Book.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
//          url('../fonts/Uni Sans Book.woff') format('woff'), /* Modern Browsers */
//          url('../fonts/Uni Sans Book.ttf')  format('truetype'), /* Safari, Android, iOS */
//          url('../fonts/Uni Sans Book.svg#svgFontName') format('svg'); /* Legacy iOS */
//     font-weight: 200;
//     font-style: normal;
// }

// @font-face {
//   font-family: 'my-font-medium';
//     src: url('../fonts/Uni Sans Semi Bold.eot'); /* IE9 Compat Modes */
//     src: url('../fonts/Uni Sans Semi Bold.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
//          url('../fonts/Uni Sans Semi Bold.woff') format('woff'), /* Modern Browsers */
//          url('../fonts/Uni Sans Semi Bold.ttf')  format('truetype'), /* Safari, Android, iOS */
//          url('../fonts/Uni Sans Semi Bold.svg#svgFontName') format('svg'); /* Legacy iOS */
//     font-weight: 400;
//     font-style: normal;
// }

// @font-face {
//   font-family: 'my-font-bold';
//     src: url('../fonts/Uni Sans Book.eot'); /* IE9 Compat Modes */
//     src: url('../fonts/Uni Sans Book.eot?#iefix') format('embedded-opentype'), /* IE6-IE8 */
//          url('../fonts/Uni Sans Book.woff') format('woff'), /* Modern Browsers */
//          url('../fonts/Uni Sans Book.ttf')  format('truetype'), /* Safari, Android, iOS */
//          url('../fonts/Uni Sans Book.svg#svgFontName') format('svg'); /* Legacy iOS */
//     font-weight: 800;
//     font-style: normal;
// }

@import url('https://fonts.googleapis.com/css?family=Montserrat:300,600,800');

/* ====================================================================================================================================
FONT RULES
======================================================================================================================================*/
body {
    -webkit-font-smoothing: subpixel-antialiased;
}
html {   
    .txt--font__normal; 
    .txt--s__rg;
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
}

// font family
.txt--font__normal    {    font-family: 'Montserrat', sans-serif; font-weight: 300;  }
.txt--font__medium    {    font-family: 'Montserrat', sans-serif; font-weight: 600;  }
.txt--font__bold      {    font-family: 'Montserrat', sans-serif; font-weight: 800;  }

// font color
.txt--col__1          {    color: @vr__col-1;    }
.txt--col__2          {    color: @vr__col-2;    }
.txt--col__3          {    color: @vr__col-3;    }
.txt--col__4          {    color: @vr__col-4;    }
.txt--col__5          {    color: @vr__col-5;    }

// font size
.txt--s__sm           {    font-size: @size__sm;    }
.txt--s__rg           {    font-size: @size__rg;    }
.txt--s__md           {    font-size: @size__md;    }
.txt--s__lg           {    font-size: @size__lg;    }
.txt--s__xl           {    font-size: @size__xl;    }


p          {    .txt--s__rg; line-height: 2em;           }
h1         {    .txt--s__lg; text-transform: uppercase;    }

@media (max-width: @mq--size__smartphone)  {
    p      {    font-size: @size__rg; line-height: 1.6em;     }
    h1     {    font-size: @size__md;      }
    h2     {    font-size: @size__lg;      }
}
